Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNAErrorDirections

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNAErrorDirections

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNAErrorDirections

extends java.lang.Object

`SNAErrorDirections` class represents all error dorections:

  `CM_RECEIVE_ERROR`
  `CM_SEND_ERROR`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_RECEIVE_ERROR`
`static int` | `CM_SEND_ERROR`

Constructor Summary
`SNAConstants.SNAErrorDirections()`

Method Summary
`static int` | `getCM_RECEIVE_ERROR()`
`static int` | `getCM_SEND_ERROR()`
`static java.lang.String` | `getErrorDirectionString(int errorDirection)` Returns the errorDirection as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_RECEIVE_ERROR

    public static final int CM_RECEIVE_ERROR

See Also:
  Constant Field Values

### CM_SEND_ERROR

    public static final int CM_SEND_ERROR

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNAErrorDirections

    public SNAConstants.SNAErrorDirections()

Method Detail

### getCM_RECEIVE_ERROR

    public static final int getCM_RECEIVE_ERROR()

  Returns:
    CM_RECEIVE_ERROR

### getCM_SEND_ERROR

    public static final int getCM_SEND_ERROR()

  Returns:
    CM_SEND_ERROR

### getErrorDirectionString

    public static final java.lang.String getErrorDirectionString(int errorDirection)

  Returns the errorDirection as String

  Parameters:
    `errorDirection` - The errorDirection in int
  Returns:
    The errorDirection as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.